Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.manage.jmx
Interface RemoteMBeanServerFactory

All Known Implementing Classes:
  RemoteWL81MBeanServerFactory

public interface RemoteMBeanServerFactory

Factory interface for creating MBeanServer proxies for use in the remotejmxtool. Implemented in order to have the remotejmxtool connect to a remote MBeanServer. MX4J and JBoss 3.2 RemoteMBeanServerFactory implementations are provided.

Method Summary
`javax.management.MBeanServer` | `createDefaultRemoteMBeanServer(String jndiHost, int jndiPort, Log log)` Factory method invoked by remotejmxtool when the "default" JNDI name is specified.
`javax.management.MBeanServer` | `createRemoteMBeanServer(String jndiName, String jndiHost, int jndiPort, Log log)` Factory method invoked by remotejmxtool when a specific JNDI name is specified.

Method Detail

### createRemoteMBeanServer

    public javax.management.MBeanServer createRemoteMBeanServer(String jndiName,
                                                                String jndiHost,
                                                                int jndiPort,
                                                                Log log)
                                                         throws Exception

  Factory method invoked by remotejmxtool when a specific JNDI name is specified.

### createDefaultRemoteMBeanServer

    public javax.management.MBeanServer createDefaultRemoteMBeanServer(String jndiHost,
                                                                       int jndiPort,
                                                                       Log log)
                                                                throws Exception

  Factory method invoked by remotejmxtool when the "default" JNDI name is specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.